@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

html,
body {
  margin: 0;
  border: 0;
  font-family: "Roboto", sans-serif;
}

.team-btn {
  padding: 9px;
  font-size: 10px;
  background-color: #161b28;
  border: solid 1px #21283b;
  border-radius: 5px;
  cursor: pointer;
  color: #efefef;
}

.team-btn.active {
  background-color: #17325d;
  color: #fff;
  border: none;
}

.color-meron {
  color: #ff2e21;
}

.red {
  color: #e74c3c;
}

.color-wala {
  color: #124dff;
}

.blue {
  color: #3498db;
}

.green {
  color: #27ae60;
}

.color-draw {
  color: #444444;
}

.bold {
  font-weight: bold;
}

.title {
  text-align: center;
  padding: 20px 0;
  font-size: 30px;
  font-weight: 300;
}

.title span {
  font-weight: 500;
}

.plates {
  display: grid;
  grid-template-columns: 1fr 1fr;
  border: solid 2px #444;
}

.plate-meron {
  border-right: solid 1px #444;
}

.plate-wala {
  border-left: solid 1px #444;
}

.plate-meron .plate__label {
  background: #ff2e21;
  color: white;
  text-align: center;
  padding: 20px 0;
  font-size: 36px;
  font-weight: 900;
  border-bottom: solid 2px #444;
}

.plate-wala .plate__label {
  background: #124dff;
  color: white;
  text-align: center;
  padding: 20px 0;
  font-size: 36px;
  font-weight: 900;
  border-bottom: solid 2px #444;
}

.plate__state {
  background: #ededed;
  font-size: 24px;
  text-align: center;
  padding: 20px 0;
  font-weight: 400;
}

.plate__state b {
  animation: fadein 1s alternate-reverse infinite;
}

.results {
  display: flex;
  padding: 10px;
  width: calc(100vw - 20px);
  /*overflow-x: scroll;*/
}

.result-row {
  margin-left: 5px;
}

.result-meron {
  background: #ff2e21;
  color: white;
  text-align: center;
  font-size: 16px;
  width: 35px;
  padding: 5px 0;
  margin-bottom: 5px;
  border-radius: 5px;
}

.result-wala {
  background: #124dff;
  color: white;
  text-align: center;
  font-size: 16px;
  width: 35px;
  padding: 5px 0;
  margin-bottom: 5px;
  border-radius: 5px;
}

.result-draw {
  background: #444;
  color: white;
  text-align: center;
  font-size: 16px;
  width: 35px;
  padding: 5px 0;
  margin-bottom: 5px;
  border-radius: 5px;
}

.streak-table {
  margin-bottom: 10px;
}

.streak-table table {
  width: 100%;
  border: solid 1px #000000;
  border-collapse: collapse;
}

.streak-table th,
.streak-table td {
  width: 33.3%;
  text-align: center;
  border: solid 1px #000000;
  padding: 5px;
}

.streak-table th {
  background: #eee;
}

.results-table table {
  width: 100%;
  border: solid 1px #000000;
  border-collapse: collapse;
}

.results-table th,
.results-table td {
  width: 33.3%;
  text-align: center;
  border: solid 1px #000000;
  padding: 5px;
}

.results-table th {
  background: #eee;
}

.box {
  font-family: "Pretendard";
  padding: 10px;
  width: 100%;
  border: 1px solid #f7f7f7;
}

table {
  font-family: "Pretendard";
  width: 100%;
  text-align: center;
  border-collapse: collapse;
}

td {
  height: 40px;
  font-size: 12px;
  border: 1px solid #21283b;
  color: #fff;
}
.pattern-selector,
.uk-type-selector {
  height: 44px;
  font-size: 12px;
  font-family: "Pretendard";
}
.table-head {
  font-family: "Pretendard";
  height: 52px;
  color: #fff;
  font-size: 14px;
  font-weight: normal;
  font-weight: 600;
}

.ball-red {
  margin: auto;
  width: 34px;
  height: 34px;
  line-height: 36px;
  text-align: center;
  background-color: #e74c3c;
  border-radius: 100%;
  color: white;
}

.ball-blue {
  margin: auto;
  width: 34px;
  height: 34px;
  line-height: 36px;
  text-align: center;
  background-color: #3498db;
  border-radius: 100%;
  color: white;
}

.ball-green {
  margin: auto;
  width: 34px;
  height: 34px;
  line-height: 36px;
  text-align: center;
  background-color: #14805e;
  border-radius: 100%;
  border: solid 1px #064c1c;
  color: white;
}

.ball-large,
.ball-medium,
.ball-small,
.ball-over,
.ball-under {
  width: 32px;
  height: 32px;
  line-height: 34px;
  text-align: center;
  border-radius: 100%;
}

.ball-over,
.ball-large {
  border: 1px solid #e74c3c;
}

.ball-under,
.ball-small {
  border: 1px solid #3498db;
}

.ball-medium {
  border: 1px solid #27ae60;
}
.pattern-item .pattern-head:last-child {
  border-bottom: 1px solid #fff;
}
.pattern-head {
  width: 32px;
  height: 32px;
  line-height: 32px;
  font-size: 12px;
  border: 1px solid #21283b;
  color: #fff;
  font-weight: normal !important;
}

.pattern-standard {
  width: 32px;
  height: 32px;
  line-height: 32px;
  border: 1px solid #21283b;
  color: #fff;
}

.p_result {
  width: 1px;
  height: 1px;
}
.result_table {
  margin-top: 10px;
}
.result_table td.result_td {
  height: 70px;
}
.result_table td.result_td > div {
  margin: 5px auto;
}
.pattern_table {
  margin-top: 10px;
}
.pattern_table td .ukbody {
  display: none;
  width: calc(100vw - 2px);
  overflow-x: auto;
}

.pattern-ball-red {
  margin: auto;
  width: 27px;
  height: 27px;
  line-height: 28px;
  text-align: center;
  background-color: #e74c3c;
  border-radius: 100%;
  color: white;
  margin-top: 2px;
}

.pattern-ball-blue {
  margin: auto;
  width: 27px;
  height: 27px;
  line-height: 28px;
  text-align: center;
  background-color: #3498db;
  border-radius: 100%;
  color: white;
  margin-top: 2px;
}

.pattern-ball-green {
  margin: auto;
  width: 27px;
  height: 27px;
  line-height: 28px;
  text-align: center;
  background-color: #27ae60;
  border-radius: 100%;
  color: white;
  margin-top: 2px;
}

.tab-selector {
  cursor: pointer;
}

.tab-selector.active {
  background-color: #18325d;
  color: #fff;
  font-weight: 600;
}

.uk-tr > td {
  border-top: 0;
  border-bottom: 0;
}

.more-information-button {
  width: 100%;
  margin-top: 5px;
  border: 1px solid #e2e6ff;
  background-color: #f7f7f7;
  height: 30px;
  line-height: 30px;
  text-align: center;
  color: #5f6164;
  margin-bottom: 10px;
}

.open-pick-button {
  position: absolute;
  top: 69px;
  left: 0;
  width: 100px;
  height: 25px;
  line-height: 25px;
  z-index: 99;
}

.open-pick-button a {
  color: #fff;
  display: block;
  background-color: #cd1212;
  border: 1px solid #8a0d0d;
  color: #fff;
  text-align: center;
  text-decoration: none;
}

.open-mini-view-button {
  position: absolute;
  top: 69px;
  right: 0;
  width: 100px;
  height: 25px;
  line-height: 25px;
  z-index: 99;
}

.open-mini-view-button a {
  color: #fff;
  display: block;
  background-color: #cd1212;
  border: 1px solid #8a0d0d;
  color: #fff;
  text-align: center;
  text-decoration: none;
}

.past-ball {
  width: 30px;
  height: 30px;
  border: 1px solid #ccc;
  font-size: 12px;
  border-radius: 20px;
  line-height: 32px;
  margin: auto;
}

.past-odd {
  width: 30px;
  height: 30px;
  background: #3498db;
  color: #fff;
  margin: auto;
  border-radius: 20px;
  line-height: 32px;
}

.past-even {
  width: 29px;
  height: 29px;
  background: #e74c3c;
  color: #fff;
  margin: auto;
  border-radius: 20px;
  line-height: 30px;
}

.past-under {
  width: 29px;
  height: 29px;
  line-height: 31px;
  margin: 0 auto;
  color: #3a8afd;
  border: 1px solid #3a8afd;
  border-radius: 16px;
}

.past-over {
  width: 29px;
  height: 29px;
  line-height: 31px;
  margin: 0 auto;
  color: #e74c3c;
  border: 1px solid #e74c3c;
  border-radius: 16px;
}

.copyright-tag {
  position: absolute;
  right: 20px;
  color: #969696;
}

.copyright-tag > span {
  display: inline-block;
  margin-right: 5px;
}

.copyright-tag > a {
  color: #127ccb;
  font-weight: bold;
  text-decoration: none;
}

#ladderResultBox {
  position: absolute;
  background-color: #f8f8f8;
  color: #666666;
  width: 874px;
  height: 265px;
  border: 3px solid #8a0d0d;
  z-index: 999;
  margin-top: 66px;
}

#ladderResultBox .title {
  width: 15px;
  height: 235px;
  font-size: 13px;
  background-color: #cd1212;
  color: #fff;
  font-weight: bold;
  padding: 15px 10px;
  border-right: 2px solid #8a0d0d;
}

#ladderResultBox .title div {
  margin-top: 5px;
}

#ladderResultBox .title .close {
  position: absolute;
  top: -3px;
  right: -3px;
  z-index: 99;
  width: 38px;
  height: 38px;
  background: url(/img/sp_miniview.png) -196px -10px;
}

#ladderResultBox .content {
  position: absolute;
  top: 0;
  margin-left: 37px;
  font-size: 12px;
  background-color: #fdfdfd;
}

#ladderResultBox .content .leftBox {
  float: left;
  width: 395px;
  height: 265px;
  border-right: 1px dotted #000;
}

#ladderResultBox .content .leftBox .link {
  width: 166px;
  height: 24px;
  background: url(/img/sp_miniview.png) -10px -10px;
  display: block;
}

#ladderReady {
  position: absolute;
  top: 85px;
  width: 330px;
  height: 100px;
  background-color: #333333;
  margin: 0 32px;
  display: block;
  z-index: 10;
  border: 1px solid yellow;
}

#ladderReady .box {
  text-align: center;
  padding: 20px;
  font-size: 12px;
}

#ladderReady .box .time {
  color: #fff;
  font-weight: bold;
  line-height: 20px;
}

#ladderReady .box .time em {
  font-style: normal;
}

#ladderReady .box .time {
  color: #fff;
  font-weight: bold;
  line-height: 20px;
}

#ladderReady .box .result {
  color: #ffff00;
  line-height: 20px;
}

#ladderReady #lastResult {
  font-size: 15px;
}

#lotteryBox {
  position: relative;
  background: url(/img/lottery_default.jpg) no-repeat;
  width: 395px;
  height: 265px;
}

#lotteryBox #lotteryBall {
  position: absolute;
  width: 45px;
  height: 45px;
  color: #fff;
  font-size: 22px;
  font-family: "Pretendard";
  text-align: center;
  line-height: 48px;
}

#lotteryBox .play {
  text-align: center;
  display: none;
}

#ladderResultBox .content .rightBox {
  position: relative;
  float: right;
  width: 391px;
  height: 265px;
}

#ladderResultBox .content .rightBox .tit {
  position: absolute;
  top: 33px;
  left: 66px;
  width: 232px;
  height: 12px;
  line-height: 12px;
  background-color: #333333;
  margin: 0 27px;
  display: block;
  z-index: 10;
  border: 1px solid #fff;
  color: #fff;
  font-size: 12px;
  padding: 5px;
  text-align: center;
  font-weight: bold;
}

#lotteryResultBox {
  position: relative;
  background: url(/img/lottery_bg.jpg) no-repeat;
  width: 442px;
  height: 265px;
}

#lotteryResultBox #lotteryResult {
  position: absolute;
  top: 73px;
  left: 79px;
  width: 285px;
  height: 45px;
}

#ladderResultBox .content .rightBox .tit2 {
  position: absolute;
  top: 143px;
  left: 66px;
  width: 232px;
  height: 12px;
  line-height: 12px;
  background-color: #333333;
  margin: 0 27px;
  display: block;
  z-index: 10;
  border: 1px solid #fff;
  color: #fff;
  font-size: 12px;
  padding: 5px;
  text-align: center;
  font-weight: bold;
}

#ladderResultBox .content .ball_blue {
  display: inline-block;
  width: 45px;
  height: 45px;
  background: url(/img/sp_miniview.png) -75px -119px;
}

#ladderResultBox .content .ball_red {
  display: inline-block;
  width: 45px;
  height: 45px;
  background: url(/img/sp_miniview.png) -75px -54px;
}

#ladderResultBox .content .ball_green {
  display: inline-block;
  width: 45px;
  height: 45px;
  background: url(/img/sp_miniview.png) -10px -119px;
}

#ladderResultBox .content .ball_yellow {
  display: inline-block;
  width: 45px;
  height: 45px;
  background: url(/img/sp_miniview.png) -10px -54px;
}

#lotteryResultBox #lotteryResult .ballNumber {
  position: absolute;
  width: 45px;
  height: 45px;
  color: #fff;
  font-size: 22px;
  font-family: "Pretendard";
  text-align: center;
  line-height: 48px;
}

#lotteryResultBox #beforeResult .ballNumber {
  position: absolute;
  width: 45px;
  height: 45px;
  color: #fff;
  font-size: 22px;
  font-family: "Pretendard";
  text-align: center;
  line-height: 48px;
}

#lotteryResultBox #beforeResult {
  position: absolute;
  top: 183px;
  left: 79px;
  width: 285px;
  height: 45px;
}

.more-information-button {
  cursor: pointer;
  width: 100%;
  margin-top: 5px;
  border: 1px solid #e2e6ff;
  background-color: #f7f7f7;
  height: 30px;
  line-height: 30px;
  text-align: center;
  color: #5f6164;
  margin-bottom: 10px;
}
.timeBox {
  position: relative;
  font-size: 12px;
  width: auto;
  background-color: #8bc34a;
  text-align: center;
  color: #fff;
  height: 26px;
  line-height: 26px;
}
.timeBox p {
  height: 26px;
  line-height: 26px;
  position: absolute;
  margin: 0 auto;
  font-weight: 600;
  width: 100%;
}
.progress-bar {
  position: absolute;
  background-color: #5865f2;
  height: 26px;
}
.result-box {
  margin-top: 10px;
  border: 1px solid #e4e4e4;
  width: auto;
  padding: 10px;
}
.now-result {
  display: flex;
  align-items: center;
  justify-content: center;
}
.ball {
  width: 30px;
  height: 30px;
  border-radius: 30px;
  line-height: 30px;
  color: #fff;
  text-align: center;
  margin: 0 10px;
  font-size: 12px;
}
.powerball {
  background: black;
}
